Bug 94658 - [chromium/mac] Remove unnecessary checks for OS version <= 10.5. We don't support those
Summary: [chromium/mac] Remove unnecessary checks for OS version <= 10.5. We don't sup...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: James Robinson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-21 18:07 PDT by James Robinson
Modified: 2012-08-22 10:56 PDT (History)
7 users (show)

See Also:


Attachments
Patch (3.52 KB, patch)
2012-08-21 18:08 PDT, James Robinson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James Robinson 2012-08-21 18:07:32 PDT
[chromium/mac] Remove unnecessary checks for OS version <= 10.5. We don't support those
Comment 1 James Robinson 2012-08-21 18:08:28 PDT
Created attachment 159830 [details]
Patch
Comment 2 James Robinson 2012-08-21 18:11:07 PDT
There's also a runtime OS X version check in FontMac.mm that we use, but it's checking for a bug only present in Snow Leopard and not in higher versions so we have to check that at runtime. The mac weenies report that it'd be better to use base::mac::IsOSSnowLeopard() since it just uses uname() instead of Gestalt, but we'd have to plumb that through WK API
Comment 3 Nico Weber 2012-08-21 19:00:05 PDT
Comment on attachment 159830 [details]
Patch

lgtm
Comment 4 Nico Weber 2012-08-21 19:00:24 PDT
Jeremy: FYI
Comment 5 James Robinson 2012-08-22 10:44:36 PDT
Comment on attachment 159830 [details]
Patch

Thanks Tony!
Comment 6 WebKit Review Bot 2012-08-22 10:56:26 PDT
Comment on attachment 159830 [details]
Patch

Clearing flags on attachment: 159830

Committed r126320: <http://trac.webkit.org/changeset/126320>
Comment 7 WebKit Review Bot 2012-08-22 10:56:30 PDT
All reviewed patches have been landed.  Closing bug.